"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorBoundary = void 0;
const react_1 = __importDefault(require("react"));
const js_1 = __importDefault(require("@bugsnag/js"));
const plugin_react_1 = __importDefault(require("@bugsnag/plugin-react"));
const env = process.env.HASHI_ENV || process.env.NODE_ENV || 'development';
if (!js_1.default._client) {
    js_1.default.start({
        apiKey: typeof window === 'undefined'
            ? process.env.BUGSNAG_CLIENT_KEY
            : process.env.BUGSNAG_SERVER_KEY,
        plugins: [new plugin_react_1.default(react_1.default)],
        otherOptions: { releaseStage: env },
        enabledReleaseStages: ['production'],
    });
}
// primary bugsnag client export
exports.default = js_1.default;
// get the react ErrorBoundary component
exports.ErrorBoundary = js_1.default.getPlugin('react');
