"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const nprogress_1 = __importDefault(require("nprogress"));
function NextNProgress({ Router, start, finish, error, }) {
    Router.events.on('routeChangeStart', () => {
        if (typeof start === 'function')
            start();
        nprogress_1.default.start();
    });
    Router.events.on('routeChangeError', () => {
        if (typeof error === 'function')
            error();
        nprogress_1.default.done();
    });
    Router.events.on('routeChangeComplete', (url) => {
        if (typeof finish === 'function')
            finish();
        setTimeout(() => window.analytics && window.analytics.page(url), 0);
        nprogress_1.default.done();
    });
}
exports.default = NextNProgress;
