import * as React from 'react';
interface ProductMeta {
    name: string;
    slug: Products;
    themeClass?: string;
}
declare type Products = 'hashicorp' | 'boundary' | 'consul' | 'nomad' | 'packer' | 'terraform' | 'vault' | 'vagrant' | 'waypoint';
declare const ProductContext: React.Context<ProductMeta>;
/**
 * fn `useProductMeta` is designed to work both within and outside of a Product Context.
 * Components can pass a product name directly and get metadata outside of context,
 * or they can set the 'product' higher up in the tree via `ProductProvider`, call `useProductMeta`
 * without passing a product argument, contex will provide the correct metadata.
 *  */
declare function useProductMeta(product: Products): ProductMeta;
interface ProductProviderProps {
    product: Products;
    children: React.ReactNode;
}
declare function ProductMetaProvider({ product, children }: ProductProviderProps): JSX.Element;
export default useProductMeta;
export { ProductMetaProvider, Products, ProductMeta, ProductContext };
